

#    MIDAS Access Client  for the  EPICSAccess service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global EPICSAccessServerHost EPICSAccessServerPort

if {[info exists EPICSAccessServerHost] == 0} then {set EPICSAccessServerHost localhost}
if {[info exists EPICSAccessServerPort] == 0} then {set EPICSAccessServerPort 8015}

variable uri "urn:EPICSAccessServer"
variable proxy "http://$EPICSAccessServerHost:$EPICSAccessServerPort/EPICSAccessServer"



SOAP::create EPICSAccessClient__Verbose -proxy $proxy -uri $uri -timeout 1000 \
     -name  AccessServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create EPICSAccessClient__CreateChannel -proxy $proxy -uri $uri -timeout 10000 \
     -name  CreateChannel \
     -params {PVname string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create EPICSAccessClient__ClearChannel -proxy $proxy -uri $uri -timeout 10000 \
     -name  ClearChannel \
     -params {PVname string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create EPICSAccessClient__PutInt -proxy $proxy -uri $uri -timeout 10000 \
     -name  PutInt \
     -params {PVname string Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create EPICSAccessClient__GetInt -proxy $proxy -uri $uri -timeout 10000 \
     -name  GetInt \
     -params {PVname string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create EPICSAccessClient__PutFloat -proxy $proxy -uri $uri -timeout 10000 \
     -name  PutFloat \
     -params {PVname string Value float} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create EPICSAccessClient__GetFloat -proxy $proxy -uri $uri -timeout 10000 \
     -name  GetFloat \
     -params {PVname string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply  

SOAP::create EPICSAccessClient__PutString -proxy $proxy -uri $uri -timeout 10000 \
     -name  PutString \
     -params {PVname string Value string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create EPICSAccessClient__GetString -proxy $proxy -uri $uri -timeout 10000 \
     -name  GetString \
     -params {PVname string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply  







package provide EPICSAccessClient 1.0
