

#    MIDAS Access Client  for the  MPXAccess service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global MPXAccessServerHost MPXAccessServerPort

if {[info exists MPXAccessServerHost] == 0} then {set MPXAccessServerHost localhost}
if {[info exists MPXAccessServerPort] == 0} then {set MPXAccessServerPort 8015}

variable uri "urn:MPXAccessServer"
variable proxy "http://$MPXAccessServerHost:$MPXAccessServerPort/MPXAccessServer"



SOAP::create MPXAccessClient__Verbose -proxy $proxy -uri $uri -timeout 1000 \
     -name  AccessServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create MPXAccessClient__Get -proxy $proxy -uri $uri -timeout 1000 \
     -name Get \
     -params {Crate int Address int Flen int Fposn int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create MPXAccessClient__Read -proxy $proxy -uri $uri -timeout 10000 \
     -name Read \
     -params {Crate int Address int Length int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create MPXAccessClient__Set -proxy $proxy -uri $uri -timeout 1000 \
     -name Set \
     -params {Crate int Address int Flen int Fposn int Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create MPXAccessClient__Reset -proxy $proxy -uri $uri -timeout 1000 \
     -name Reset \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create MPXAccessClient__Test -proxy $proxy -uri $uri -timeout 1000 \
     -name Test \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply


package provide MPXAccessClient 1.0
